/**
 * output package name
 */
package com.kingdee.eas.custom.gggl;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SWEnum extends StringEnum
{
    public static final String SN_VALUE = "sn";//alias=ÊÒÄÚ
    public static final String SW_VALUE = "sw";//alias=»§Íâ

    public static final SWEnum sn = new SWEnum("sn", SN_VALUE);
    public static final SWEnum sw = new SWEnum("sw", SW_VALUE);

    /**
     * construct function
     * @param String sWEnum
     */
    private SWEnum(String name, String sWEnum)
    {
        super(name, sWEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SWEnum getEnum(String sWEnum)
    {
        return (SWEnum)getEnum(SWEnum.class, sWEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SWEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SWEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SWEnum.class);
    }
}